Does Percona Xtrabackup support RedHat release 4

Posted on

Question :

I downloaded Percona’s Xtrabackup rpm file for RedHAT. I attempted to install but hit into an error. The error seems to point to missing dependencies and libraries. I have no issue with RedHat 6 OS. I could not find the binaries in Percona’s website for RedHat4.

Is it supported in RedHat 4? Possible for a workaround?

rpm -Uvh percona-xtrabackup-2.2.9-5067.el6.x86_64.rpm
warning: only V3 signatures can be verified, skipping V4 signature
error: Failed dependencies:
libc.so.6(GLIBC_2.10)(64bit) is needed by percona-xtrabackup-2.2.9-5067.el6.x86_64
libz.so.1(ZLIB_1.2.0)(64bit) is needed by percona-xtrabackup-2.2.9-5067.el6.x86_64
perl(DBD::mysql) is needed by percona-xtrabackup-2.2.9-5067.el6.x86_64
rpmlib(FileDigests) <= 4.6.0-1 is needed by percona-xtrabackup-2.2.9-5067.el6.x86_64
rtld(GNU_HASH) is needed by percona-xtrabackup-2.2.9-5067.el6.x86_64
rpmlib(PayloadIsXz) <= 5.2-1 is needed by percona-xtrabackup-2.2.9-5067.el6.x86_64
Suggested resolutions:
/var/spool/up2dateperl-DBD-MySQL-2.9004-3.1.x86_64.rpm

Answer :

Percona XtraBackup 2.2 does not seem to have support out of the box for Red Hat 4:

Supported Releases

The CentOS repositories should work well with Red Hat Enterprise Linux
too, provided that yum is installed on the server.

CentOS 5 and RHEL 5
CentOS 6 and RHEL 6
CentOS 7 and RHEL 7
Amazon Linux AMI (works the same as CentOS 5)

Try, however, first the generic Linux binary and see if you can at least run the xtrabackup binary.

If not, you can either try to compile it by yourself (it shouldn’t be too difficult in terms of dependencies, but Xtrabackup is a monster source and you may en up in dependency hell) or hire their paying support/development so they can make it work for you (they have great engineers).

Leave a Reply

Your email address will not be published.